v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/orders/{shipmentNumber}/assignkits
Assign Pooling Shipment kits in a study's inventory. Rights: OrsInventoryPost and DepotShipmentReceiptPost/OrsBlinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
shipmentNumber(required): string
Pooling shipment number.Example:
SHIP-POOL-001 -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : PoolingShipmentRequest v1.0
Type:
objectTitle:
PoolingShipmentRequest v1.0Request containing pooling shipment details.
Show Source
-
deliveryNumber: string
Title:
Delivery NumberDelivery number.Example:88888 -
kits(required): array
Kits
Title:
KitsMinimum Number of Items:1Maximum Number of Items:2147483647List of pooling kits. -
shipDate(required): string
Title:
Ship DatePattern:(\d){2}-[a-zA-Z]{3}-(\d){4}Ship date.Example:12-May-2023 -
shipmentNumber: string
Title:
Shipment NumberShipment number.Example:Site1 -
trackingNumber: string
Title:
Tracking NumberShipment tracking number.Example:123456
Nested Schema : Kits
Type:
arrayTitle:
KitsMinimum Number of Items:
1Maximum Number of Items:
2147483647List of pooling kits.
Show Source
-
Array of:
object PoolingKits v1.0
Title:
PoolingKits v1.0Object containing Kit details
Nested Schema : PoolingKits v1.0
Type:
objectTitle:
PoolingKits v1.0Object containing Kit details
Show Source
-
barcode: string
Barcode.Example:
61234 -
blockNumber: string
Title:
Block NumberBlock number.Example:5 -
itemNumber: string
Title:
Item NumberItem number.Example:i -
kitNumber(required): string
Title:
Kit NumberKit number.Example:5 -
manufacturingLotNumber(required): string
Title:
Manufacturing Lot NumberManufacturing lot number.Example:Lot A -
poolingId: string
Title:
Pooling IDPooling ID.Example:PooledKitA -
sequenceNumber(required): number
(BigDecimal)
Sequence number.Example:
5
Example:
{
"kitNumber":"KIT-000123",
"poolingGroupId":"2"
}Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : PoolingShipmentResponse v1.0
Type:
objectTitle:
PoolingShipmentResponse v1.0Response object containing pooling shipment details.
Show Source
-
shipmentId: string
(uuid)
Shipment ID.
Examples
400 Response
'Invalid shipment
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
'Invalid study ID', 'Study still in Draft (design phase)', 'Invalid shipment ID', 'Invalid site ID'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples